#include <stdio.h>
#include <math.h>

void Delioci(long int A, long int B, long int *x, long int *y)
    {
        long int k=0, l=0. i;
        for (i=1; i<=A/2; i++)
            {
                if ((A%i)==0)
                    {
                        k=i;
                        l=A/k;
                        if ((k^l)==B) {j=1; break;}
                    }
            }
        *x=k;
        *y=l;
    }

int main()
    {
        int T, i;
        long int A, B, X, Y;
        scanf("%d", &T);
        for (i=0; i<T; i++)
            {
                scanf("%li %li", &A, &B);
                Delioci(A, B, &X, &Y);
                if (x==0) printf("-1");
                    else {
                            printf("%li", X);
                            printf("%li", Y);
                        }
            }
        return 0;
    }